/* *FH*******************************************************************  */
/* *                                                                    *  */
/* * FILE-NAME     : odeintc.h                                          *  */
/* * VAR./VERSION  : a0/001                                             *  */
/* * FUNCTION      : ODE-Integration Konstanten und Macros              *  */
/* *                                                                    *  */
/* * AUTHOR        : Ch. Dellago                                        *  */
/* * CREATION-DATE : 09-12-1991                                         *  */
/* *                                                                    *  */
/* * PROCEDURES    : --*--                                              *  */
/* *                                                                    *  */
/* * NOTES         : --*--                                              *  */
/* *                                                                    *  */
/* **********************************************************************  */
/*                                                                         */
/* *HOC******************************************************************  */
/* *  HISTORY OF CHANGES                        VARIANTE: a0            *  */
/* *---+------+----------------------------------------------+-----+----*  */
/* *VER| DATE | CHANGES                                      | CNO |AUTH*  */
/* *   |ttmmjj|                                              |     |    *  */
/* *---+------+----------------------------------------------+-----+----*  */
/* *001|091291| Initial creation                             |     |del *  */
/* *   |      |                                              |     |    *  */
/* **********************************************************************  */

#define  fsign(x, y)    ((y) > 0.0 ? x : -(x))
/* #define  fabs(x)        ((x) > 0.0 ? x : -(x)) */
#define  numeric(c)     (c >= '0' && c <= '9')
/* #define  max(a,b)       (a<b ? b : a)     */
/* #define  min(a,b)       (a>b ? b : a)     */
/* #define  abs(x)         (x>=0 ? x : -(x)) */

#define  MAX_STEP       10000
#define  TWO            2.0
#define  ZERO           0.0

#define  ONE            1.0

#define  OK             1
#define  ERROR          0

#define  NMAX           20

#define  START          1
#define  STOP           0
#define  MEGA           1e06
