/* ********************************************************************** */
/* * GRAPHICS.H                                                         * */
/* ********************************************************************** */

#define  DISK_RADIUS    0.5
#define  CROSS          10

#define  ARROW_ANGLE    0.5
#define  ARROW_LENGTH   0.2

#define  C_WHITE        1
#define  C_RED          2

#define  FULL           0
#define  OPEN           1

#define  GAP            0.1
#define  EDGE_ON        2
#define  SOLID          2

#define  PI       3.14159265358979323846

#define  WINDOWX   500
#define  LYAWIN    400
#define  LYAMAX    15.0

#define SCHWARZ 0
#define WEISS   1
#define TEMP_0  2
#define TEMP_1  3
#define TEMP_2  4
#define TEMP_3  5
#define TEMP_4  6
#define TEMP_5  7
#define TEMP_6  8
#define TEMP_7  9
#define TEMP_8  10
#define TEMP_9  11
#define HGRAU   12
#define DGRAU   13
#define GRUEN   14
#define ROT     11
#define BLAU    5
#define GELB    9
#define HGRND   15

/* VGA-Farben */
#define VGA_SCHWARZ 0
#define VGA_WEISS   63
#define VGA_HGRND   24
#define VGA_TEMP_0  8
#define VGA_TEMP_1  1
#define VGA_TEMP_2  25
#define VGA_TEMP_3  11
#define VGA_TEMP_4  59
#define VGA_TEMP_5  30
#define VGA_TEMP_6  54
#define VGA_TEMP_7  38
#define VGA_TEMP_8  52
#define VGA_TEMP_9  36
#define VGA_HGRAU   7
#define VGA_DGRAU   56
#define VGA_GRUEN   2


/* Schriftgroessen */
#define TITEL_SIZE  4
#define CONST_SIZE  1
#define TEMP_SIZE   1
#define TIME_SIZE   1

#define RRAND       200
#define GBORDER     0.25

/* Schreibpuffergroesse */
#define BUFFER_LENGTH  128

